@import "../theme";

.story {
  display: grid;

  &-wrapper {
    padding: 100px 0;

    @media (max-width: 1200px) {
      padding: 50px 0;
    }
  }

  &-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
    flex-wrap: wrap;
    row-gap: 24px;

    &__heading {
      font-weight: bold;
      font-size: 72px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 48px;
      }
    }

    &-buttons {
      display: flex;
      column-gap: 10px;
      flex-wrap: wrap;
      row-gap: 12px;

      &__button {
        border-radius: 82px;
        padding: 20px 32px;
        height: 60px;
        border: 1px solid #8C41CE;
        font-weight: 700;
        font-size: 18px;
        line-height: 1;
        text-align: center;
        color: #FFFFFF;

        &.active {
          border-color: transparent;
          background: linear-gradient(180deg, #00A79D 0%, #8C41CE 100%);
        }
      }
    }
  }

  &__heading {
    font-weight: bold;
    font-size: 72px;
    line-height: 130%;

    @media (max-width: 1200px) {
      font-size: 48px;
    }
  }

  &__text {
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;
    color: $grey;

    @media (max-width: 1200px) {
      font-size: 16px;
    }
  }

  &-top {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 60px;
    margin-bottom: 100px;

    @media (max-width: 1200px) {
      grid-template-columns: 1fr;
      margin-bottom: 50px;
    }

    &-left {
      display: grid;
      grid-row-gap: 50px;

      @media (max-width: 1200px) {
        grid-row-gap: 50px;
      }

      &__img {
        max-width: 492px;
        margin: -50px auto 0 auto;
        @media (max-width: 1200px) {
          width: 300px;
        }
      }
    }

    &-right {
      position: relative;
      display: flex;
      align-items: center;

      img {
        width: 100%;
        margin: 0 auto;
      }

      @media (max-width: 1200px) {
        align-items: center;
        justify-content: center;
        margin-top: 50px;

        img {
          max-width: 400px;
          width: 100%;
        }
      }

      &::after {
        content: '';
        z-index: -1;
        position: absolute;
        width: 50%;
        height: 100%;
        top: 50%;
        right: 0;
        transform: translate(-50%, -50%) rotate(-21deg);
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);;
        filter: blur(100px);
        border-radius: 35%;
      }
    }
  }

  &-bot {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 60px;
    margin-bottom: 50px;

    @media (max-width: 1200px) {
      grid-template-columns: 1fr;
      grid-row-gap: 50px;
    }

    &-left {
      max-width: 500px;
      margin: 0 auto;

      @media (max-width: 1200px) {
        order: 1;
      }

      img {
        width: 100%;
        max-width: 100%;
      }
    }
  }

  &-genq {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 60px;

    @media (max-width: 1200px) {
      grid-template-columns: 1fr;
      grid-row-gap: 50px;
    }

    &__text {
      font-weight: 500;
      font-size: 18px;
      line-height: 130%;
      color: #999999;

      a {
        color: #FF00E5;
        text-decoration: underline;
      }
    }

    &__rt-img {
      margin: 0 auto;

      @media (max-width: 1200px) {
        order: 1;
      }
    }

    &__lb-img {
      margin: 0 auto;
    }

    &-left {
      display: grid;
      row-gap: 50px;
    }

    &-right {
      display: grid;
      row-gap: 50px;
    }
  }

  &-mut {
    display: grid;
    row-gap: 60px;

    img {
      margin: 0 auto;
    }

    &__text {
      font-weight: 500;
      font-size: 18px;
      line-height: 130%;
      color: #999999;
    }

    &-top {
      display: grid;
      grid-template-columns: 1fr 1fr;
      column-gap: 60px;
      row-gap: 60px;

      @media (max-width: 1200px) {
        grid-template-columns: 1fr;
      }

      &-left {
        display: grid;
        row-gap: 60px;
      }

      &-right {
        display: grid;
        row-gap: 60px;

        &__img {
          @media (max-width: 1200px) {
            order: 1;
          }
        }
      }
    }

    &-bot {
      display: grid;
      grid-template-columns: 1fr 1fr;
      column-gap: 60px;
      row-gap: 60px;

      @media (max-width: 1200px) {
        grid-template-columns: 1fr;
      }
    }
  }
}
